## dials 3.22.1+dfsg3

=== debian/changelog ===
dials (3.22.1+dfsg3-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.21.1+dfsg3

  [ Roland Mas ]
  * New upstream release 3.22.1+dfsg3.
  * Update Build-Depends.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 12:16:53 +0100

dials (3.17.0+dfsg3-4) unstable; urgency=medium

  * Replace orderedset with ordered_set since the former seems no longer
    maintained.

 -- Roland Mas <lolando@debian.org>  Tue, 24 Sep 2024 12:31:47 +0200

=== debian/control ===
Source: dials
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake (>= 3.24.3-1~),
 debhelper-compat (= 13),
 dh-sequence-python3,
 libboost-thread-dev,
 libcctbx-dev (>= 2024.10),
 libmsgpack-cxx-dev,
 patchelf,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-biopython <!nocheck>,
 python3-cctbx <!nocheck>,
 python3-dials-data <!nocheck>,
 python3-gemmi <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-ordered-set <!nocheck>,
 python3-pandas <!nocheck>,
 python3-psutil <!nocheck>,
 python3-pyfai <!nocheck>,
 python3-setuptools,
 python3-sklearn <!nocheck>,
 python3-tabulate <!nocheck>,
 scons,
 tcsh | csh | c-shell,
# Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
#                      python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/dials
Vcs-Git: https://salsa.debian.org/science-team/dials.git
Homepage: https://github.com/dials/dials
Rules-Requires-Root: no

Package: dials
Architecture: amd64
Depends: python3-dials, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: Diffraction Integration for Advanced Light Sources
 The DIALS software is developed in a fully open-source, collaborative
 environment. The main development teams are based at Diamond Light
 Source and CCP4, in the UK, and at Lawrence Berkeley National
 Laboratory, USA. However, in the spirit of the open source movement,
 we welcome collaboration from anyone who wishes to contribute to the
 project.
 .
 To avoid “reinventing the wheel” as much as possible, the DIALS
 project builds on knowledge accumulated over many decades in the
 field of crystallographic data processing. We benefit greatly from
 the altruism of experts who contribute their ideas and advice, either
 directly or via their detailed publications on existing algorithms
 and packages such as XDS [2] and MOSFLM [3]. At the heart of the
 DIALS framework lies a design philosophy of hardware abstraction and
 a generalised model of the experiment that is inspired directly by
 material published on the seminal workshops on position sensitive
 detector software [1]. Continuing in the spirit of these workshops we
 held our own series of meetings, with talks from invited speakers,
 and code camps in which specific problems are addressed by intensive
 effort across the collaboration. Summaries of these meetings and
 copies of slides given as presentations are available here.
 .
 DIALS is written using Python and C++, making heavy use of the cctbx
 [4] for core crystallographic calculations and much infrastructure
 including a complete build system. Seamless interaction between the
 C++ and Python components of this hybrid system is enabled by
 Boost.Python. Python provides a useful ground for rapid prototyping,
 after which core algorithms and data structures may be transferred
 over to C++ for speed. High level interfaces of the hybrid system
 remain in Python, facilitating further development and code reuse
 both within DIALS and by third parties.

Package: python3-dials
Architecture: amd64
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-katex,
 libjs-mathjax,
 python3-plotly,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Diffraction Integration for Advanced Light Sources - Python3
 The DIALS software is developed in a fully open-source, collaborative
 environment. The main development teams are based at Diamond Light
 Source and CCP4, in the UK, and at Lawrence Berkeley National
 Laboratory, USA. However, in the spirit of the open source movement,
 we welcome collaboration from anyone who wishes to contribute to the
 project.
 .
 To avoid “reinventing the wheel” as much as possible, the DIALS
 project builds on knowledge accumulated over many decades in the
 field of crystallographic data processing. We benefit greatly from
 the altruism of experts who contribute their ideas and advice, either
 directly or via their detailed publications on existing algorithms
 and packages such as XDS [2] and MOSFLM [3]. At the heart of the
 DIALS framework lies a design philosophy of hardware abstraction and
 a generalised model of the experiment that is inspired directly by
 material published on the seminal workshops on position sensitive
 detector software [1]. Continuing in the spirit of these workshops we
 held our own series of meetings, with talks from invited speakers,
 and code camps in which specific problems are addressed by intensive
 effort across the collaboration. Summaries of these meetings and
 copies of slides given as presentations are available here.
 .
 DIALS is written using Python and C++, making heavy use of the cctbx
 [4] for core crystallographic calculations and much infrastructure
 including a complete build system. Seamless interaction between the
 C++ and Python components of this hybrid system is enabled by
 Boost.Python. Python provides a useful ground for rapid prototyping,
 after which core algorithms and data structures may be transferred
 over to C++ for speed. High level interfaces of the hybrid system
 remain in Python, facilitating further development and code reuse
 both within DIALS and by third parties.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r tests conftest.py "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing dials with $py:"
 ; DIALS_DATA="$AUTOPKGTEST_TMP" $py -m pytest --verbosity=2
 ; done
Depends:
 dials,
 python3-all,
 python3-dials-data,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-xdist,
Restrictions: allow-stderr

## dials 3.23.0+dfsg3

=== src/dials/pychef/CMakeLists.txt ===
Python_add_library( dials_pychef_ext MODULE ext.cc )
target_link_libraries( dials_pychef_ext PUBLIC CCTBX::cctbx Boost::python )

=== src/dials/algorithms/indexing/CMakeLists.txt ===
Python_add_library(
    dials_algorithms_indexing_ext
    MODULE
    boost_python/fft3d.cc
    boost_python/indexing_ext.cc
)
target_link_libraries( dials_algorithms_indexing_ext PUBLIC Boost::python CCTBX::cctbx CCTBX::annlib )

=== debian/changelog ===
dials (3.23.0+dfsg3-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:20 +0200

dials (3.23.0+dfsg3-2) experimental; urgency=medium

  * Depend on hdf5-filter-plugin for testsuite.

 -- Roland Mas <lolando@debian.org>  Sun, 27 Apr 2025 15:44:14 +0200

dials (3.23.0+dfsg3-1) experimental; urgency=medium

  * New upstream release.
  * Require gemmi >= 0.7, fixes: "autopkgtest regression in testing",
    thanks to Graham Inggs (Closes: #1089231).

 -- Roland Mas <lolando@debian.org>  Fri, 25 Apr 2025 14:48:45 +0200

dials (3.22.1+dfsg3-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect
    Debian Policy 4.9.1.

  [ Roland Mas ]
  * Bug fix: "autopkgtest regression in testing", thanks to Graham Inggs
    (Closes: #1089231). This requires a newer version of python3-gemmi
    than currently available, but it should be uploaded shortly.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Jan 2025 16:34:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  cmake (>= 3.24.3-1~),
  debhelper-compat (= 13),
  dh-sequence-python3,
+ hdf5-filter-plugin <!nocheck>,
  libboost-thread-dev,
  libcctbx-dev (>= 2024.10),
  libmsgpack-cxx-dev,
@@ -18,7 +19,7 @@
  python3-biopython <!nocheck>,
  python3-cctbx <!nocheck>,
  python3-dials-data <!nocheck>,
- python3-gemmi <!nocheck>,
+ python3-gemmi (>= 0.7.0~) <!nocheck>,
  python3-jinja2 <!nocheck>,
  python3-ordered-set <!nocheck>,
  python3-pandas <!nocheck>,

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=dials
export PYBUILD_SYSTEM=distutils
export PYBUILD_AFTER_CONFIGURE=cmake -DPython_EXECUTABLE=/usr/bin/{interpreter} -S . -B {build_dir}/lib
export PYBUILD_AFTER_BUILD=make $(DEB_BUILD_OPTION_PARALLEL:%=-j %) -C {build_dir}/lib && cp {build_dir}/lib/lib/*.so {build_dir} && rm -rf {build_dir}/lib
export PYBUILD_DISABLE=test


# get the default python3 interpreter version
PY3VER=$(shell py3versions -dv)
PYPATH=debian/python3-dials/usr/lib/python$(PY3VER)/dist-packages

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
# ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# 	dh_auto_build -- -s custom -p $(PY3VER) --build-args="env PYTHONPATH=$(PYPATH) {interpreter} -m sphinx -N -bhtml doc/sphinx build/html"
# 	dh_installdocs -p binoculars-doc "build/html"
# 	dh_sphinxdoc -O--buildsystem=pybuild
# endif

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -d 2>/dev/null)
 ; do cp -r tests conftest.py "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing dials with $py:"
 ; DIALS_DATA="$AUTOPKGTEST_TMP" $py -m pytest --verbosity=2
 ; done
Depends:
 dials,
 hdf5-filter-plugin,
 python3-all,
 python3-dials-data,
 python3-gemmi,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-xdist,
Restrictions: allow-stderr

## dials 3.25.0%2Bdfsg3

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXBUILD   = libtbx.sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cluster_doc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cluster_doc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cluster_doc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cluster_doc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## dials 3.25.0+dfsg3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.30 FATAL_ERROR)

project(dials)

# Add the included modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

# General cmake environment configuration
include(SetDefaultBuildRelWithDebInfo) # Default builds to release with debug info
include(CoverageBuildConfiguration) # Custom module to make turning coverage on easy
include(AlwaysColourCompilation) # Always show coloured compiler output
include(CheckCXXSymbolExists)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # Generate compile_commands.json
set(CMAKE_CXX_STANDARD 14)

find_package(Python REQUIRED COMPONENTS Interpreter Development)
find_package(CCTBX COMPONENTS cctbx scitbx ccp4io annlib REQUIRED)
find_package(DXTBX REQUIRED)
find_package(OpenMP)
# Handle msgpack.. between versions 3 and 6, split into separate packages.
# While we still support both, look for both names
find_package(msgpack-cxx REQUIRED NAMES msgpack-cxx msgpack)
if (TARGET msgpackc AND NOT TARGET msgpack-cxx)
    # If the old version of the library, let us refer to the new name
    add_library(msgpack-cxx ALIAS msgpackc)
endif()

# Find the boost::python library for this version of python
set(Boost_USE_STATIC_LIBS OFF) # This is the default everywhere except Windows
find_package(Boost COMPONENTS thread "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}" REQUIRED)

# Create Boost::python alias so we don't need to carry the python version around
if(NOT TARGET Boost::python)
    add_library(Boost::python INTERFACE IMPORTED)
    set_target_properties(Boost::python PROPERTIES INTERFACE_LINK_LIBRARIES Python::Module)
endif()

# Put the libraries into lib/ so that we can run this in-place in a TBX install
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  "${CMAKE_BINARY_DIR}/lib")

# We depend on including header sources from above this current directory.
# This currently means this _must_ be in a "dials" folder. This is unstable,
# but will be dealt with when we move to src/ layout.
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

link_libraries(DXTBX::DXTBX)
# Make boost a bit quieter - all these warnings come from inside boost.python
add_compile_definitions(BOOST_BIND_GLOBAL_PLACEHOLDERS BOOST_ALLOW_DEPRECATED_HEADERS)

add_subdirectory(src/dials)
add_subdirectory(tests)

# Install all of the DIALS extension modules
install(
    TARGETS
        dials_algorithms_background_ext
        dials_algorithms_background_glm_ext
        dials_algorithms_background_gmodel_ext
        dials_algorithms_background_modeller_ext
        dials_algorithms_background_simple_ext
        dials_algorithms_centroid_simple_ext
        dials_algorithms_filter_ext
        dials_algorithms_image_centroid_ext
        dials_algorithms_image_connected_components_ext
        dials_algorithms_image_fill_holes_ext
        dials_algorithms_image_filter_ext
        dials_algorithms_image_threshold_ext
        dials_algorithms_image_distortion_ext
        dials_algorithms_indexing_ext
        dials_algorithms_integration_bayes_ext
        dials_algorithms_integration_ext
        dials_algorithms_integration_fit_ext
        dials_algorithms_integration_integrator_ext
        dials_algorithms_integration_kapton_ext
        dials_algorithms_integration_parallel_integrator_ext
        dials_algorithms_integration_sum_ext
        dials_algorithms_polygon_clip_ext
        dials_algorithms_polygon_ext
        dials_algorithms_polygon_spatial_interpolation_ext
        dials_algorithms_profile_model_ellipsoid_ext
        dials_algorithms_profile_model_gaussian_rs_ext
        dials_algorithms_profile_model_gaussian_rs_transform_ext
        dials_algorithms_profile_model_modeller_ext
        dials_algorithms_shoebox_ext
        dials_algorithms_simulation_ext
        dials_algorithms_spot_finding_ext
        dials_algorithms_spot_prediction_ext
        dials_algorithms_statistics_ext
        dials_array_family_flex_ext
        dials_model_data_ext
        dials_pychef_ext
        dials_refinement_helpers_ext
        dials_scaling_ext
        dials_tof_scaling_ext
        dials_util_ext
        dials_util_streambuf_test_ext
        dials_viewer_ext
        recviewer_ext
    DESTINATION "${Python_SITEARCH}"
)

=== installer/Makefile ===
all :	build

build :
	python bootstrap.py

clean :
	rm -rf conda_base build

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)


add_executable( tst_reeke_model algorithms/spot_prediction/tst_reeke_model.cc )
set_target_properties( tst_reeke_model PROPERTIES RUNTIME_OUTPUT_DIRECTORY "algorithms/spot_prediction")
target_link_libraries( tst_reeke_model PUBLIC Boost::boost CCTBX::scitbx )

add_executable( tst_collision_detection algorithms/spatial_indexing/tst_collision_detection.cc )
set_target_properties( tst_collision_detection PROPERTIES RUNTIME_OUTPUT_DIRECTORY "algorithms/spatial_indexing")
target_link_libraries( tst_collision_detection PUBLIC Boost::boost CCTBX::scitbx )

=== src/dials/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

add_subdirectory(algorithms)
add_subdirectory(array_family)
add_subdirectory(model)
add_subdirectory(pychef)
add_subdirectory(util)
add_subdirectory(viewer)

=== src/dials/algorithms/CMakeLists.txt ===
add_subdirectory(background)
add_subdirectory(centroid)
add_subdirectory(filtering)
add_subdirectory(image)
add_subdirectory(indexing)
add_subdirectory(integration)
add_subdirectory(polygon)
add_subdirectory(profile_model)
add_subdirectory(refinement)
add_subdirectory(rs_mapper)
add_subdirectory(scaling)
add_subdirectory(shoebox)
add_subdirectory(simulation)
add_subdirectory(spot_finding)
add_subdirectory(spot_prediction)
add_subdirectory(statistics)

=== src/dials/array_family/CMakeLists.txt ===
Python_add_library(
    dials_array_family_flex_ext
    MODULE
    boost_python/flex_int6.cc
    boost_python/flex_shoebox.cc
    boost_python/flex_centroid.cc
    boost_python/flex_intensity.cc
    boost_python/flex_observation.cc
    boost_python/flex_reflection_table.cc
    boost_python/flex_unit_cell.cc
    boost_python/flex_shoebox_extractor.cc
    boost_python/flex_binner.cc
    boost_python/flex_ext.cc
)
target_link_libraries(
    dials_array_family_flex_ext
    PUBLIC
    CCTBX::cctbx
    Boost::python
    CCTBX::scitbx::boost_python
    msgpack-cxx
)

=== src/dials/model/CMakeLists.txt ===
add_subdirectory(data)

=== src/dials/util/CMakeLists.txt ===
Python_add_library( dials_util_ext MODULE boost_python/ext.cc )
target_link_libraries( dials_util_ext PUBLIC Boost::python CCTBX::cctbx CCTBX::ccp4io )

Python_add_library(
    dials_util_streambuf_test_ext
    MODULE
    boost_python/streambuf_test_ext.cpp
)
target_link_libraries( dials_util_streambuf_test_ext PUBLIC Boost::python CCTBX::cctbx )

=== src/dials/viewer/CMakeLists.txt ===
Python_add_library(
    dials_viewer_ext
    MODULE
    boost_python/RGB_2d.cc
    boost_python/RGB_2d_ext.cc
)
target_link_libraries( dials_viewer_ext PUBLIC CCTBX::cctbx Boost::python )

=== src/dials/algorithms/background/CMakeLists.txt ===
Python_add_library(
    dials_algorithms_background_ext
    MODULE
    boost_python/helpers.cc
    boost_python/background_ext.cc
)
target_link_libraries( dials_algorithms_background_ext PUBLIC CCTBX::cctbx Boost::python )

Python_add_library( dials_algorithms_background_modeller_ext MODULE boost_python/modeller_ext.cc )
target_link_libraries( dials_algorithms_background_modeller_ext PUBLIC CCTBX::cctbx Boost::python )

Python_add_library(
    dials_algorithms_background_simple_ext
    MODULE
    simple/boost_python/outlier_rejector.cc
    simple/boost_python/modeller.cc
    simple/boost_python/creator.cc
    simple/boost_python/background_simple_ext.cc
)
target_link_libraries( dials_algorithms_background_simple_ext PUBLIC CCTBX::cctbx Boost::python )

Python_add_library(
    dials_algorithms_background_glm_ext
    MODULE
    glm/boost_python/ext.cc
)
target_link_libraries( dials_algorithms_background_glm_ext PUBLIC CCTBX::cctbx Boost::python )

Python_add_library( dials_algorithms_background_gmodel_ext MODULE gmodel/boost_python/ext.cc )
target_link_libraries( dials_algorithms_background_gmodel_ext PUBLIC CCTBX::cctbx Boost::python )

=== src/dials/algorithms/centroid/CMakeLists.txt ===
Python_add_library(
    dials_algorithms_centroid_simple_ext
    MODULE
    simple/boost_python/simple_ext.cc
)
target_link_libraries( dials_algorithms_centroid_simple_ext PUBLIC CCTBX::cctbx Boost::python )

=== src/dials/algorithms/filtering/CMakeLists.txt ===
Python_add_library( dials_algorithms_filter_ext MODULE boost_python/filter_ext.cc )
target_link_libraries( dials_algorithms_filter_ext PUBLIC CCTBX::cctbx Boost::python )

=== debian/changelog ===
dials (3.25.0+dfsg3-3) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4. Closes: #1112841.
  * d/control: Drop <!nocheck> from python3-cctbx. Closes: #1116728.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the standard simplified version.
  * d/salsa-ci.yml: Disable building on i386.
  * d/salsa-ci.yml: Allow blhc to fail.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Oct 2025 14:25:00 +0200

dials (3.25.0+dfsg3-2) unstable; urgency=medium

  * Add hardening flags (thanks, blhc!).

 -- Roland Mas <lolando@debian.org>  Sun, 31 Aug 2025 12:14:57 +0200

dials (3.25.0+dfsg3-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 29 Aug 2025 15:07:03 +0200

dials (3.23.0+dfsg3-3) experimental; urgency=medium

  * Versioned dependency on gemmi for autopkgtest.

 -- Roland Mas <lolando@debian.org>  Sun, 20 Jul 2025 16:09:01 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-biopython <!nocheck>,
- python3-cctbx <!nocheck>,
+ python3-cctbx,
  python3-dials-data <!nocheck>,
  python3-gemmi (>= 0.7.0~) <!nocheck>,
  python3-jinja2 <!nocheck>,
@@ -32,11 +32,10 @@
  tcsh | csh | c-shell,
 # Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
 #                      python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/dials
 Vcs-Git: https://salsa.debian.org/science-team/dials.git
 Homepage: https://github.com/dials/dials
-Rules-Requires-Root: no
 
 Package: dials
 Architecture: amd64

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

CXXFLAGS += -D_FORTIFY_SOURCE=2

export PYBUILD_NAME=dials
export PYBUILD_SYSTEM=distutils
export PYBUILD_AFTER_CONFIGURE=cmake -DPython_EXECUTABLE=/usr/bin/{interpreter} -S . -B {build_dir}/lib
export PYBUILD_AFTER_BUILD=make -d $(DEB_BUILD_OPTION_PARALLEL:%=-j %) -C {build_dir}/lib && cp {build_dir}/lib/lib/*.so {build_dir} && rm -rf {build_dir}/lib
export PYBUILD_DISABLE=test


# get the default python3 interpreter version
PY3VER=$(shell py3versions -dv)
PYPATH=debian/python3-dials/usr/lib/python$(PY3VER)/dist-packages

%:
	dh $@ --buildsystem=pybuild

# override_dh_sphinxdoc:
# ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# 	dh_auto_build -- -s custom -p $(PY3VER) --build-args="env PYTHONPATH=$(PYPATH) {interpreter} -m sphinx -N -bhtml doc/sphinx build/html"
# 	dh_installdocs -p dials-doc "build/html"
# 	dh_sphinxdoc -O--buildsystem=pybuild
# endif

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  hdf5-filter-plugin,
  python3-all,
  python3-dials-data,
- python3-gemmi,
+ python3-gemmi (>= 0.7.0~),
  python3-pytest,
  python3-pytest-mock,
  python3-pytest-xdist,

=== debian/watch ===
version=4
opts="\
dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg3,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/dials/dials/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
